Ticket #719 (closed defect: invalid)

Opened 4 years ago

Last modified 4 years ago

Unable Version 1.5 of Clozure CL64 on my PowerMac G5

Reported by: cocoacl Owned by:
Priority: normal Milestone:
Component: IDE Version: trunk
Keywords: Cc:

Description

The earlier version 1.4 of Clozure CL64 runs fine on my PowerMac? G5, but not the current version 1.5. When I start it up, I get the following error in AltConsole?:

> Error: Objective-C runtime exception: 
>        *** -[NSKeyedUnarchiver initForReadingWithData:]: non-keyed archive cannot be decoded by NSKeyedUnarchiver
> While executing: (:INTERNAL GUI::|+[LispApplicationDelegate initialize]|), in process Initial(0).
> Type :POP to abort, :R for a list of available restarts.
> Type :? for other options.
1 > 

Clozure CL32 runs fine on my machine for both versions 1.4 and 1.5.

Change History

comment:1 Changed 4 years ago by cocoacl

Title should be: Unable TO RUN Version 1.5 of Clozure CL64 on my PowerMac? G5

My machine is a PowerMac? G5 running Mac OS X 10.5.8.

comment:2 Changed 4 years ago by rme

  • Status changed from new to closed
  • Resolution set to invalid

That's a known (annoying) issue. The solution is found in ReleaseNotes/1.5

In brief, go to ~/Library/Preferences/? and delete the preference files beginning with "com.clozure.Clozure"

You could probably get away with just deleting "com.clozure.Clozure CL64.plist" (or whatever the file is named).

Note: See TracTickets for help on using tickets.